Subject: [bug#39617] [PATCH 0/2] Add initial Pinebook Pro support

From: Vagrant Cascadian <[email-masked]>
Date: Thu, 27 Feb 2020 17:03:34 -0800

On 2020-02-16, Danny Milosavljevic wrote:
> On Sat, 15 Feb 2020 19:49:48 +0100
> Jan Nieuwenhuizen <[email-masked]> wrote:
>
>> A vanilla kernel does not work yet; apparently development to upstream
>> pinebook-pro patches lives here:
>> https://gitlab.manjaro.org/tsys/linux-pinebook-pro
>
> Yeah, but LKML has some of the patches there in review, for example:
>
> * http://lkml.iu.edu/hypermail/linux/kernel/2001.1/01899.html (already accepted)
> * https://patchwork.kernel.org/patch/11325531/ (pending changes)
> [...]
> * https://www.spinics.net/lists/kernel/msg3367972.html (pending changes)
>
> So all in all I think the Pinebook Pro will eventually work with the vanilla kernel.

Updated patches were sent today (by the same person working on the
manjaro kernel, I think):

  https://patchwork.kernel.org/project/linux-arm-kernel/list/?series=248535

>> Similarly, Das U-Boot has a pinebook-pro development branch
>> https://git.eno.space/pbp-uboot.git
>
> (Not so sure whether that one will be upstreamed)

I think the upstreaming for pinebook pro is delayed on the device tree
landing in upstream linux... Peter Robinson sent a patch series that
kind of worked for me, though I didn't yet have a working kernel at the
time to test:

  https://patchwork.ozlabs.org/project/uboot/list/?series=142716&state=*

Combining that with the newer device-tree patches submitted to linux
might be fruitful!

I haven't done any recent tests, largely due to the issue with "guix
pull" being broken on aarch64... might only have limited ability to test
things the next week or so, or might just get a wild hair and go for it.

live well,
  vagrant